> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance

> Get shared tipping wallet token balance on a given chain



## OpenAPI

````yaml GET /v1/community/tipping/wallets/{chain}/balance
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/tipping/wallets/{chain}/balance:
    get:
      description: Get shared tipping wallet token balance on a given chain
      parameters:
        - in: header
          name: x-api-key
          description: Your community API key
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: chain
          description: Supported blockchain key
          required: true
          schema:
            type: string
            enum:
              - Abstract
              - ApeChain
              - Arbitrum
              - Atto
              - Avalanche
              - Base
              - Berachain
              - Blast
              - BSC
              - CosmosHub
              - Cronos
              - Ethereum
              - Harmony
              - HyperCore
              - HyperEvm
              - Initia
              - Injective
              - Linea
              - Mitosis
              - Nano
              - Nibiru
              - Optimism
              - Osmosis
              - Pepecoin
              - Plasma
              - Polygon
              - Robinhood
              - SEDA
              - Sei
              - SeiEvm
              - Solana
              - Somnia
              - Sonic
              - Terra
              - Unichain
              - Yominet
      responses:
        '200':
          description: Token balance has been retrieved
          content:
            application/json:
              schema:
                example:
                  walletAddress: '0x254075bb012e4afb1787e98cd082ce6abd1ad01b'
                  tokens:
                    - chain: Polygon
                      contractAddress: null
                      symbol: POL
                      decimals: 18
                      name: POL (Polygon)
                      balanceRaw: '4954460068259115943000'
                      balance: 4.954460068259116
                      usdValue: 1.2401013550852569
                    - chain: Polygon
                      contractAddress: '0x162539172b53e9a93b7d98fb6c41682de558a320'
                      symbol: GONE
                      decimals: 18
                      name: GONE (Polygon)
                      balanceRaw: '4990000000000000000000'
                      balance: 4990
                      usdValue: 0.0105289
                type: object
                properties:
                  walletAddress:
                    description: Address of your shared tipping wallet.
                    type: string
                  tokens:
                    description: >-
                      List of tokens supported by Flipsuite in your shared
                      tipping wallet.
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          $ref: '#/components/schemas/__schema13'
                        contractAddress:
                          description: Token address (null for native tokens).
                          anyOf:
                            - type: string
                            - type: 'null'
                        symbol:
                          description: Token symbol.
                          type: string
                        decimals:
                          description: Number of token decimals.
                          type: number
                        name:
                          description: Display name of the token.
                          type: string
                        balanceRaw:
                          description: >-
                            Balance of the token expressed in its smallest unit
                            (e.g. wei for ETH).
                          type: string
                        balance:
                          description: Normalized token balance.
                          type: number
                        usdValue:
                          description: Value of this token balance in USD.
                          type: number
                      required:
                        - chain
                        - symbol
                        - decimals
                        - name
                        - balanceRaw
                        - balance
                        - usdValue
                      additionalProperties: false
                required:
                  - walletAddress
                  - tokens
                additionalProperties: false
components:
  schemas:
    __schema13:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos

````